classification
Title: Optimize calling special methods
Type: performance Stage: resolved
Components: Interpreter Core Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: inada.naoki, jdemeyer
Priority: normal Keywords: patch

Created on 2019-06-11 13:07 by jdemeyer, last changed 2019-07-01 15:27 by jdemeyer. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13973 merged jdemeyer, 2019-06-11 14:37
PR 14153 merged jdemeyer, 2019-06-17 09:54
Messages (3)
msg345231 - (view) Author: Jeroen Demeyer (jdemeyer) * (Python triager) Date: 2019-06-11 13:07
Change call_method() and related functions in Objects/typeobject.c to allow profiting from the PY_VECTORCALL_ARGUMENTS_OFFSET optimization: instead of passing "self" as separate argument, put it inside the args vector.
msg345482 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-06-13 09:26
New changeset b4b814b3988abf69f07f8492d82e855c51b2a75d by Inada Naoki (Jeroen Demeyer) in branch 'master':
bpo-37231: optimize calls of special methods (GH-13973)
https://github.com/python/cpython/commit/b4b814b3988abf69f07f8492d82e855c51b2a75d
msg345847 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-06-17 11:41
New changeset 0456df4a55ec9a4e8f4425df92bbe63a290f3f2f by Inada Naoki (Jeroen Demeyer) in branch 'master':
bpo-37231: remove _PyObject_FastCall_Prepend (GH-14153)
https://github.com/python/cpython/commit/0456df4a55ec9a4e8f4425df92bbe63a290f3f2f
History
Date User Action Args
2019-07-01 15:27:25jdemeyersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-06-17 11:41:48inada.naokisetmessages: + msg345847
2019-06-17 09:54:48jdemeyersetpull_requests: + pull_request13996
2019-06-13 09:26:50inada.naokisetnosy: + inada.naoki
messages: + msg345482
2019-06-11 14:37:15jdemeyersetkeywords: + patch
stage: patch review
pull_requests: + pull_request13840
2019-06-11 13:07:40jdemeyercreate